<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
    <!-- HEAD VUEJS + FUNCIONALIDAD-->
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta content="text/html; charset=UTF-8" http-equiv="content-type">
        <meta charset="UTF-8">
        <link th:href="@{/styles/template-main.css}" rel="stylesheet" />
    <!-- HEAD TEMPLATE-->
        <title>ZappApp</title>
    <!-- Fuentes-->
        <link th:href="@{/styles/fontawesome-free/css/all.min.css}" rel="stylesheet" type="text/css">
        <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">
        <script src="https://kit.fontawesome.com/f0db3f6f2e.js" crossorigin="anonymous"></script>
        
        

</head>


<body id="page-top">
    <div id="app">

        <!-- Page Wrapper -->
        <div id="wrapper">

            <!-- Sidebar -->
            <menu-navegacion >
            </menu-navegacion>
            <!-- End of Sidebar -->

            <!-- Content Wrapper -->
            <div id="content-wrapper" class="d-flex flex-column">

                <!-- Main Content -->
                <div id="content">

                    <!-- Topbar -->
                    <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

                        <!-- Sidebar Toggle (Topbar) -->
                        <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                            <i class="fa fa-bars"></i>
                        </button>

                        <!-- Topbar Navbar -->
                        <ul class="navbar-nav ml-auto">

                            <!-- Nav Item - Search Dropdown (Visible Only XS) -->
                            <li class="nav-item dropdown no-arrow d-sm-none">
                                <a class="nav-link dropdown-toggle" href="#" id="searchDropdown" role="button"
                                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fas fa-search fa-fw"></i>
                                </a>
                                <!-- Dropdown - Messages -->
                                <div class="dropdown-menu dropdown-menu-right p-3 shadow animated--grow-in"
                                    aria-labelledby="searchDropdown">
                                    <form class="form-inline mr-auto w-100 navbar-search">
                                        <div class="input-group">
                                            <input type="text" class="form-control bg-light border-0 small"
                                                placeholder="Search for..." aria-label="Search"
                                                aria-describedby="basic-addon2">
                                            <div class="input-group-append">
                                                <button class="btn btn-primary" type="button">
                                                    <i class="fas fa-search fa-sm"></i>
                                                </button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </li>

                            <div class="topbar-divider d-none d-sm-block"></div>

                            <!-- Nav Item - User Information -->
                            <li class="nav-item dropdown no-arrow">
                                <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <span class="mr-2 d-none d-lg-inline text-gray-600 small" th:text="${#authentication.getPrincipal().getUsername()}"></span>
                                    <img class="img-profile rounded-circle" th:src="@{/img/undraw_profile.svg}">
                                </a>
                                <!-- Dropdown - User Information -->
                                <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                                    aria-labelledby="userDropdown">
                                    <a class="dropdown-item" href="#" data-toggle="modal" data-target="#logoutModal">
                                        <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                                        Cerrar cesión
                                    </a>
                                </div>
                            </li>

                        </ul>

                    </nav>
                    <!-- End of Topbar -->

                    <!-- Begin Page Content -->
                    <div class="container-fluid">


                        <div class="card shadow mb-4">
                            <!-- Card Header - Accordion -->
                            <a href="#collapseCardExample" class="d-block card-header py-3" data-toggle="collapse" role="button" aria-expanded="true" aria-controls="collapseCardExample">
                                <h4 class="m-0 font-weight-bold text-primary">¡Bienvenido!</h4>
                            </a>
                            <!-- Card Content - Collapse -->
                            <div class="collapse show" id="collapseCardExample" style="">
                                <div class="card-body">
                                    Te presentamos las funcionalidades básicas de la plataforma <strong>ZappApp</strong>, un sistema donde vas a poder gestionar clientes, gestionar productos y realizar ventas. La plataforma es muy intuitiva de usar, esperamos que te adaptes de la mejor manera a este nuevo espacio de trabajo!
                                </div>
                            </div>
                        </div>




                        <!-- DataTales Example -->
                        <div class="card shadow mb-4">
                            <div class="card-header d-flex py-3">
                                <h2 class="m-0 font-weight-bold text-primary">Gestionar Proveedores</h2>
                                <form class="d-none d-sm-inline-block form-inline mr-auto ml-md-3 my-2 my-md-0 mw-100 navbar-search">
                                    <div class="input-group">
                                        <input type="text" class="form-control border-1 small" placeholder="Buscar..." aria-label="Search" aria-describedby="basic-addon2" id="myInput">
                                        <div class="input-group-append">
                                            <a class="btn btn-primary" type="button">
                                                <i class="fas fa-search fa-sm"></i>
                                            </a>
                                        </div>
                                    </div>
                                </form>
                                <a v-bind="ventana" @click.prevent="ventana=true" class="btn btn-primary ml-auto" href="#" data-toggle="modal" data-target="#newSupplierModal">
                                    <span class="icon text-white-50">
                                        <i class="fas fa-box-open"></i>
                                    </span>
                                    <span class="text">Nuevo Proveedor</span>
                                </a>
                            </div>
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                        <thead>
                                            <tr>
                                                <th >Nombre</th>
                                                <th >Email</th>
                                                <th >Teléfono</th>
                                                <th >CUIT</th>
                                                <th >Estado</th>
                                                <th >Acción</th>
                                            </tr>
                                        </thead>
                                        <tbody id="myTable">
                                            <template v-for="(proveedor,index) in proveedores">
                                                <tr>
                                                    <th >{{ proveedor.name }}</th>
                                                    <th >{{ proveedor.email }}</th>
                                                    <td scope="col">{{ proveedor.telephone }}</td>
                                                    <td scope="col">{{ proveedor.cuit }}</td>
                                                    <td scope="col">{{ proveedor.state }}</td>
                                                    <td>
                                                        <a class="btn" href="#"  data-toggle="modal" data-target="#newSupplierModal" @click='editarProveedor(proveedor.id,index)' v-bind="ventana" @click.prevent="ventana=true">
                                                            <i class="far fa-edit"></i>
                                                        </a>
                                                        <a @click="inactivarProveedor(proveedor.id)" class="btn" href="#" data-toggle="modal">
                                                            <i class="far fa-trash-alt"></i>
                                                        </a>
                                                        <a @click='mostrarBalance(proveedor.id)'class="btn" href="#" data-toggle="modal" data-target="#balanceProveedorModal">
                                                            <i class="fas fa-file-invoice-dollar"></i>
                                                        </a>
                                                    </td>
                                                </tr>
                                            </template>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- /.container-fluid -->

                </div>
                <!-- End of Main Content -->

                <!-- Footer -->
                <footer class="sticky-footer bg-white">
                    <div class="container my-auto">
                        <div class="copyright text-center my-auto">
                            <span>Copyright &copy; G6 Solutions 2021</span>
                        </div>
                    </div>
                </footer>
                <!-- End of Footer -->

            </div>
            <!-- End of Content Wrapper -->

        </div>
        <!-- End of Page Wrapper -->

        <!-- Scroll to Top Button-->
        <a class="scroll-to-top rounded" href="#page-top">
            <i class="fas fa-angle-up"></i>
        </a>

        <div class="modal fade" id="balanceProveedorModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Cuenta corriente</h5>
                        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                            <thead>
                            <tr>
                                <th>ID transaccion</th>
                                <th>Fecha</th>
                                <th>Tipo</th>
                                <th>Monto</th>
                            </tr>
                            </thead>
                            <tbody>
                            <template v-for="transaccion in historial_cuentaCorriente">
                                <tr>
                                    <td scope="col">{{ transaccion.id }}</td>
                                    <td scope="col">{{ transaccion.date }}</td>
                                    <td scope="col">{{ transaccion.type }}</td>
                                    <td scope="col">{{ transaccion.money }}</td>
                                </tr>
                            </template>
                            </tbody>
                        </table>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label for="cardNumber"><h6>Saldo disponible: {{ balanceActual.balance }}</h6></label>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <label for="cardNumber"><h6>Saldo a cargar</h6></label>
                                <div class="input-group mb-3">
                                    <input v-model="saldo.balance" type="number" class="form-control" placeholder="" aria-label="Recipient's username" aria-describedby="button-addon2">
                                    <button class="btn btn-primary" type="button" id="button-addon5" @click="cargarSaldo()">Cargar saldo</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-secondary" type="button" data-dismiss="modal">Cerrar</button>
                    </div>
                </div>
            </div>
        </div>

        <!-- New Product Modal-->
        <div v-if="ventana" class="modal fade" id="newSupplierModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title"></h5>
                        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="p-2">
                            <form class="user">
                             <div class="form-group row">
                                  <div class="col-sm-6 mb-3 mb-sm-0">
                                      <label class="form-label"><font style="vertical-align: inherit;">Nombre</font></label>
                                      <input class="form-control rellenable" id="nombreProInput" placeholder="Nombre" type="text" v-model="proveedor.name">
                                          <div class="invalid-feedback" id="nombreProDiv">

                                          </div>
                                  </div>
                                  <div class="col-sm-6 mb-3 mb-sm-0">
                                      <label class="form-label"><font style="vertical-align: inherit;">E-mail</font></label>
                                      <input class="form-control rellenable" id="emailProInput" placeholder='Mail' type="email"  v-model ="proveedor.email">
                                      <div class="invalid-feedback" id="emailProDiv" >

                                      </div>
                                  </div>
                              </div>
                              <div class="form-group row">
                                  <div class="col-sm-6">
                                      <label class="form-label"><font style="vertical-align: inherit;">Telefono</font></label>
                                      <input class="form-control rellenable" id="telefonoProInput" placeholder="Telefono" type="text" v-model ="proveedor.telephone">
                                      <div class="invalid-feedback" id="telefonoProDiv" >
                                      </div>
                                  </div>
                                  <div class="col-sm-6">
                                    <label class="form-label"><font style="vertical-align: inherit;">CUIT</font></label>
                                    <input class="form-control rellenable" id="cuitInput" placeholder="CUIT" type="text" v-model ="proveedor.cuit">
                                      <div class="invalid-feedback" id="cuitDiv" >
                                      </div>
                                </div>
                              </div>
                              <hr class="sidebar-divider">
                              <div class="form-group row">
                                <div class="form-group col-sm-6 mb-3 mb-sm-0">
                                    <label class="form-label"><font style="vertical-align: inherit;">Provincia</font></label>
                                    <select class="form-control" v-model='provinciaSeleccionada' @click="actualizarLocalidaddes()">
                                        <option  v-for="provincia in provincias"  v-bind="{value:provincia.id}" > {{provincia.name }}</option>
                                    </select>
                                </div>
                                <div class="form-group col-sm-6 mb-3 mb-sm-0">
                                    <label class="form-label"><font style="vertical-align: inherit;">Localidad</font></label>
                                    <select class="form-control" v-model = 'proveedor.locality_id'>
                                        <option  v-for="localidad in localidades" v-bind="{value:localidad.id}" > {{localidad.name }}</option>
                                    </select>
                                </div>
                              </div>
                              <div class="form-group row">
                                <div class="col-sm-6 mb-3 mb-sm-0">
                                    <label class="form-label"><font style="vertical-align: inherit;">Calle</font></label>
                                    <input class="form-control rellenable" id="calleProInput" placeholder="Calle" type="text" v-model="proveedor.street">
                                    <div class="invalid-feedback" id="calleProDiv" >
                                    </div>
                                </div>
                                  <div class="col-sm-6 mb-3 mb-sm-0">
                                      <label class="form-label"><font style="vertical-align: inherit;">Número de calle</font></label>
                                      <input class="form-control rellenable" id="numCalleProInput" placeholder="Nro Calle" type="text" v-model="proveedor.street_number">
                                      <div class="invalid-feedback" id="numCalleProDiv" >
                                      </div>
                                  </div>
                              </div>
                          </form>
                      </div>
                    </div>

                    <div class="modal-footer">
                        <button class="btn btn-secondary" @click="borrarDatos()" type="button" data-dismiss="modal">Cancelar</button>
                        <button class="btn btn-primary" @click="crearProveedor()" type="submit">Guardar</button>
                    </div>
                </div>
            </div>
        </div>

        <!-- Logout Modal-->
        <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Quiere cerrar sesión?</h5>
                        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="modal-body">Seleccione "Cerrar sesión" si está listo para salir de la plataforma.</div>
                    <div class="modal-footer">
                        <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancelar</button>
                        <form th:action="@{/logout}" method="post">
                            <input class='btn btn-primary ml-auto' type="submit" value="Cerrar Sesion"/>
                        </form>
                    </div>
                </div>
            </div>
        </div>

    </div>
</body>

        <!-- Bootstrap core JavaScript-->
        <script type="text/javascript" th:src="@{/js/jquery/jquery.min.js}"></script>
        <script type="text/javascript" th:src="@{/js/bootstrap/js/bootstrap.bundle.min.js}"></script>
        <!-- Core plugin JavaScript-->
        <script type="text/javascript" th:src="@{/js/jquery-easing/jquery.easing.min.js}"></script>
        <!-- Custom scripts for all pages-->
        <script type="text/javascript" th:src="@{/js/template-main.js}"></script>

        <!-- SCRIPT VUE JS-->
        <script src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.6.12/vue.min.js"></script>

        <script src="https://unpkg.com/hotkeys-js/dist/hotkeys.min.js"></script>

        <script type="text/javascript" th:src="@{/js/cssandjs/atajos.js}"></script>

        <script type="text/javascript" th:src="@{/js/cssandjs/itemsNavegacion.js}"></script>
        <script type="text/javascript" th:src="@{/js/cssandjs/menu-navegacion.js}"></script>
        <script type="text/javascript" th:src="@{/js/cssandjs/proveedores.js}"></script>
        <script type="text/javascript" th:src="@{/js/cssandjs/busqueda.js}"></script>

        <!-- Custom scripts for all pages-->
        <script type="text/javascript" th:src="@{/js/cssandjs/sbadmin2.min.js}"></script>

</html>
